Subject: Re: [PATCH/RFC] git-svn: Allow multiple branch and tag patterns

From: Michael J Gruber <[email-masked]>
Date: Tue, 23 Feb 2010 11:50:43 +0100

Michael Olson venit, vidit, dixit 22.02.2010 23:29:
> This change allows multiple branch and tag patterns to be specified in
> .git/config for git-svn projects.  This is useful for fetching several
> different parts out of the namespace of an svn repository.
> Additionally, a new repeatable directive called "skip" has been added
> to specify a specific tag or branch to ignore.
> 
> Signed-off-by: Michael W. Olson <[email-masked]>
> ---
> I've been using this patch regularly for over a year on a very large
> svn repository.
> 
> This patch is known to work on git 1.6.3.3 specifically.  Once I get a
> few responses about whether or not it is useful, I'll rebase it
> against the git.git master branch.  Some further documentation
> (perhaps just a relevant example or two) would also need to be added
> to the git-svn manpage.

I'm sorry, but we have this (multiple branch/tag lines) since 1.6.4, see

6224406 (git svn: Support multiple branch and tag paths in the svn
repository., 2009-06-23)

The skip directive may be obsoleted by

0757620 (git-svn: allow subset of branches/tags to be specified in glob
spec, 2010-01-23)

Cheers,
Michael